Search in Switchie’s knowledge base

Turn off old versions of PHP

For 2 months, older versions of PHP in your user account -> “Administration of products” -> Basic Configuration have been marked red.

There hasn’t been active security support by PHP.net for PHP 4 version for over 10 years. The same goes for PHP versions 5 and 7.0, that have ceased security support 6 months ago. For PHP 7.1 active support ended in December 2019. The currently supported versions by php.net and their roadmap can be found on their website.
» https://www.php.net/supported-versions.php

Probably not, because you are not using an active WEB product. So you can ignore the red warnings. After switching off the old PHP versions they will disappear.

Yes. As a customer with an active WEB product, you are most likely using PHP features. If you don’t do anything, a new PHP will be active upon turning off the old version. If you are using an updated CMS like WordPress, Joomla etc., this new version will most likely be compatible. For older versions of different CMS, caution is advised.

We suggest you upgrade to the current version 7.3.6. as soon as possible. If you encounter issues after the upgrade, you have time to solve them before the old version will be turned off.

PHP Version 4
This version will be turned off batchwise from 2. December 2019.

PHP Version 5, 7.0 and 7.1
These versions will be turned off batchwise from 2. March 2020.

To upgrade to a newer PHP version, please open the settings of the domain concerned in the basic configurations. In the settings tab, you can choose the version using the dropdown. We suggest you update directly to the version 7.3.6.

1. Log into your user account on switchplus.ch

2. Under «Administration of Products» «Basic Configuration» right click onto the Domain, choose «open», go to the tab «settings».

3. Here you have the selection of PHP versions.
» After upgrading the PHP version, the warning notice in your user account will disappear.

If you haven’t perviously changed the PHP version in your user account (from 7.2), the system will upgrade it automatically.